PowerPC images unbootable.

Bug #745358 reported by Luke Yelavich on 2011-03-29
48
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Luke Yelavich
Natty
High
Luke Yelavich
yaboot (Ubuntu)
High
Luke Yelavich
Natty
High
Luke Yelavich

Bug Description

None of the Ubuntu powerpc images are bootable, either on 32-bit or 64-bit powerpc hardware. Kernel configiruation needs to be checked, as well as yaboot.

 affects ubuntu/yaboot
 assignee themuso

 affects ubuntu/linux
 assignee themuso

Related branches

tags: added: iso-testing

I noticed this today. However, it doesn't seem to be a Linux Kernel issue. It appears to be a grub2 issue. When you boot, press and hold shift until the boot menu appears. Press 'e' when you see the menu list and find where it has 'quiet splash vt.handoff=7'. Delete that part and press Ctrl+x to boot that.

It seems that vt.handoff=7 breaks the boot. It's added by grub by the splash option. Removing these fixed the issue for me. If it works for you, please let me know and I'll toss this bug report where it belongs (assuming this is the issue).

Powerpc images do not use grub.

oooh... sorry, I was just fighting with a mac today and thought we had the same issue

Changed in yaboot (Ubuntu Natty):
status: New → Confirmed
importance: Undecided → High
Changed in linux (Ubuntu Natty):
status: New → Confirmed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yaboot - 1.3.16-2ubuntu2

---------------
yaboot (1.3.16-2ubuntu2) natty; urgency=low

  * debian/patches/e2fs-progs-build-fix.patch: Patch taken from the
    yaboot-devel mailing list to properly build against recent versions
    of e2fsprogs (LP: #745358)
 -- Luke Yelavich <email address hidden> Thu, 31 Mar 2011 09:06:14 +1100

Changed in yaboot (Ubuntu Natty):
status: Confirmed → Fix Released
Tim Gardner (timg-tpi) on 2011-04-01
Changed in linux (Ubuntu Natty):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-8.41

---------------
linux (2.6.38-8.41) natty; urgency=low

  [ Luke Yelavich ]

  * [Config] Disable CONFIG_CRASH_DUMP on 32-bit powerpc kernels
    - LP: #745358
  * [Config] Disable CONFIG_DRM_RADEON_KMS on powerpc kernels
  * [Config] Build some framebuffer drivers as modules for powerpc kernels.

  [ Seth Forshee ]

  * SAUCE: (drop after 2.6.38) eeepc-wmi: Add support for T101MT
    Home/Express Gate key

  [ Tim Gardner ]

  * SAUCE: Increase the default hard limit for open FDs to 4096
    - LP: #663090

  [ Upstream Kernel Changes ]

  * ALSA: pcm: fix infinite loop in snd_pcm_update_hw_ptr0()
  * Relax si_code check in rt_sigqueueinfo and rt_tgsigqueueinfo
 -- Leann Ogasawara <email address hidden> Tue, 05 Apr 2011 09:25:22 -0700

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Jonathan Hudson (jh+lpd) wrote :

Confirmed thanks

Luke Yelavich (themuso) wrote :

On Thu, Apr 07, 2011 at 02:49:10AM EST, jh wrote:
> Confirmed thanks

Mind clarrifying? Can you confirm that your system is now bootable, or is it still unbootable after the updates?

Luke

Frans van Berckel (fberckel) wrote :

True the does kernel boots now.
2.6.38-8-powerpc #41-Ubuntu Tue Apr 5 21:53:50 UTC 2011 ppc ppc ppc GNU/Linux

Jonathan Hudson (jh+lpd) wrote :

@#7

Sorry, it would have made more sense in the context of the original bug and associated thread (714165). Boot fine, thanks (again).

pauljwells (pauljwells) wrote :

I just upgraded to 11.04 B1 and I yaboot reports that 2.6.38-8.41 is not a valid ELF image
Currently booting with the old 2.6.35 kernel from 10.10

Luke Yelavich (themuso) wrote :

Did you upgrade using a disk, or did you upgrade from the ports.ubuntu.com archive?

if the latter, what hardware are you using, and did you run the ybin command after you upgraded?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers